Create Transcription Translation
Start a background paragraph-level translation for a completed transcription
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
transcription_id
ID of the transcription to translate.
Request
This endpoint expects an object.
target_mode
Translation target. Use auto to translate Hebrew/Yiddish/Aramaic-heavy segments to English and English-heavy segments to Hebrew.
translation_style
Translation style id. Built-ins include learning_english and sefer_hebrew; saved user guides use custom:<style_id>.
force
Regenerate the translation even if cached segments already exist.
Response
This endpoint returns an object.
transcription_id
ID of the source transcription.
target_mode
Translation target mode.
translation_style
Translation style id.
status
Overall translation status.
completed_segments
Number of successfully translated segments.
failed_segments
Number of failed segments.
segments
Paragraph-level translated segments.
model
Model used for translation.
total_segments
Total paragraph segments in the translation job.
created_at
When the translation job was created.
updated_at
When the translation job was last updated.
error
Overall job error, if any.
Errors
401
Authentication Error
404
Transcription Not Found
429
Rate Limit Error
